import { buildUseVueMutation } from "../../../vue-query";
import { createSubmitProposal, createVote, createVoteWeighted, createDeposit } from "./tx.rpc.func";
export const useSubmitProposal = buildUseVueMutation({
    builderMutationFn: createSubmitProposal
});
export const useVote = buildUseVueMutation({
    builderMutationFn: createVote
});
export const useVoteWeighted = buildUseVueMutation({
    builderMutationFn: createVoteWeighted
});
export const useDeposit = buildUseVueMutation({
    builderMutationFn: createDeposit
});
